#!/usr/bin/env python
# To use:
#       python setup.py install
#

import distutils, os
from distutils.core import setup, Extension

class PaintExtension(Extension):
  def __init__(self, source_dir, include_dirs, library_dirs):
    source_files = ['affine.c', 'font.c', 'image.c', 'paint.c', 'path.c']
    Extension.__init__(self, 'paint',
                     sources = [os.path.join(source_dir, source_file) for source_file in source_files],
                     libraries = ['ttf',  'art_lgpl',  'png', 'z'],
                     include_dirs = include_dirs,
                     library_dirs = library_dirs
                     )

PaintModule = PaintExtension(
    source_dir = '.',
    include_dirs = ['include'],
    library_dirs = ['lib'])

if __name__ == '__main__':
  setup (name = "paint",
         version = "0.3",
         maintainer = "David Moore",
         maintainer_email = "igalboc@users.sourceforge.net",
         description = "Small Paint Module for Python",
         url = "http://pypaint.sourceforge.net/",
         ext_modules = [PaintModule],
         )

